Name:           teeworlds
Version:        0.6.1
Release:        %mkrel 5
Summary:        Online multi-player platform 2D shooter
Group:          Games/Shooter
License:        Teeworlds
URL:            http://www.teeworlds.com/
Source0:        http://www.teeworlds.com/files/%{name}-%{version}-source.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
Patch1:         %{name}-0.6.1-extlibs.patch

BuildRequires:  SDL-devel
BuildRequires:  bam >= 0.4.0
BuildRequires:  desktop-file-utils
BuildRequires:  libwavpack-devel
BuildRequires:  mesaglu-devel
BuildRequires:  pnglite-devel
BuildRequires:  python-devel
BuildRequires:  zlib-devel
BuildRequires:	freetype2-devel
Requires:       %{name}-data
   
%description
The game features cartoon-themed graphics and physics, 
and relies heavily on classic shooter weaponry and gameplay. 
The controls are heavily inspired by the FPS genre of computer games. 

%package        server
Summary:        Server for %{name}
Group:          Games/Shooter
Requires:       %{name}-data

%description    server
The server daemon for %{name}, an online multi-player platform 2D shooter,
which allows you to host online %{name} games. 

%package        data
Summary:        Data-files for %{name}
Group:          Games/Shooter
Requires:	%{name}

%description    data
Data-files for %{name}, an online multi-player platform 2D shooter.

%prep
%setup -q -n teeworlds-b177-r50edfd37-source
rm -rf src/engine/external

%patch1 -p1 -b .extlibs

iconv -f iso-8859-1 -t utf-8 readme.txt |sed 's|\r||g' > readme.txt.utf8
touch -c -r readme.txt readme.txt.utf8
mv readme.txt.utf8 readme.txt

%build
CFLAGS="%{optflags}" bam -v release

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/pixmaps

install -D -m 0755 %{name} \
        %{buildroot}%{_bindir}/%{name}

install -D -m 0755 %{name}_srv \
        %{buildroot}%{_bindir}/%{name}-srv

cp -pr data/* \
   %{buildroot}%{_datadir}/%{name}/data

install -p -m 0644 %{SOURCE1} \
        %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-install \
     --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
     %{SOURCE2}

%files
%defattr(-,root,root,-)
%doc readme.txt license.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}/

%files server
%defattr(-,root,root,-)
%doc readme.txt license.txt
%{_bindir}/%{name}-srv



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.1-5.mga3
+ Revision: 384210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.6.1-4.mga3
+ Revision: 343824
- updated RPM group

* Sat Sep 24 2011 stormi <stormi> 0.6.1-3.mga2
+ Revision: 147511
- fix teeworlds-0.6.1-extlibs.patch (uninitialized string), fixes a sound loading problem and subsequent segfaults

* Sat Sep 24 2011 fwang <fwang> 0.6.1-2.mga2
+ Revision: 147198
- br freetype
- cleanup br

  + remmy <remmy>
    - Update to latest upstream version

* Sat Feb 19 2011 obgr_seneca <obgr_seneca> 0.5.2-1.mga1
+ Revision: 54311
- imported package teeworlds

